import 'package:domain/entity/feedback_detail_entity.dart';

class FeedbackDetailState {
  //是等待状态还是已完成状态(是否已经回复)
  bool isReplyState;

  //详情数据
  FeedbackDetailEntity? detail;

  FeedbackDetailState({
    this.isReplyState = false,
    this.detail,
  });

  FeedbackDetailState copyWith({bool? isReplyState, FeedbackDetailEntity? detail}) {
    return FeedbackDetailState(
      isReplyState: isReplyState ?? this.isReplyState,
      detail: detail ?? this.detail,
    );
  }
}
